Index: trunk/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- trunk/NEMO/NST_SRC/agrif_user.F90	(revision 873)
+++ trunk/NEMO/NST_SRC/agrif_user.F90	(revision 888)
@@ -62,5 +62,5 @@
       USE sol_oce
       USE in_out_manager
-#if defined key_lim3 || defined key_lim3_old
+#if defined key_lim3 || defined key_lim2
       USE ice_oce
 #endif
Index: trunk/NEMO/OPA_SRC/DIA/diafwb.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diafwb.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DIA/diafwb.F90	(revision 888)
@@ -4,20 +4,21 @@
    !! Ocean diagnostics: freshwater budget
    !!======================================================================
+   !! History :  8.2  !  01-02  (E. Durand)  Original code
+   !!            8.5  !  02-06  (G. Madec)  F90: Free form and module
+   !!            9.0  !  05-11  (V. Garnier) Surface pressure gradient organization
+   !!----------------------------------------------------------------------
 #if ( defined key_orca_r2 || defined  key_orca_r4 ) && ! defined key_dynspg_rl && ! defined key_coupled
    !!----------------------------------------------------------------------
    !!   NOT "key_dynspg_rl" and "key_orca_r2 or 4"
    !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !!   dia_fwb     : freshwater budget for global ocean configurations
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
    USE phycst          ! physical constants
+   USE sbc_oce         ! ???
    USE zdf_oce         ! ocean vertical physics
    USE in_out_manager  ! I/O manager
-   USE flxrnf          ! ???
-   USE ocesbc          ! ???
-   USE blk_oce         ! ???
-   USE flxblk          ! atmospheric surface quantity
    USE lib_mpp         ! distributed memory computing library
 
@@ -25,17 +26,11 @@
    PRIVATE
 
-   !! * Routine accessibility
    PUBLIC dia_fwb    ! routine called by step.F90
 
-   !! * Shared module variables
    LOGICAL, PUBLIC, PARAMETER ::   lk_diafwb = .TRUE.    !: fresh water budget flag
 
-   !! * Module variables
-   REAL(wp) ::   &
-      a_emp , a_precip, a_rnf,   &
-      a_sshb, a_sshn, a_salb, a_saln,   &
-      a_aminus, a_aplus
-   REAL(wp), DIMENSION(4) ::   &
-      a_flxi, a_flxo, a_temi, a_temo, a_sali, a_salo
+   REAL(wp)               ::   a_emp ,          &
+      &                        a_sshb, a_sshn, a_salb, a_saln
+   REAL(wp), DIMENSION(4) ::   a_flxi, a_flxo, a_temi, a_temo, a_sali, a_salo
 
    !! * Substitutions
@@ -43,7 +38,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DIA/diafwb.F90,v 1.11 2007/06/29 17:01:51 opalod Exp $ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!   OPA 9.0 , LOCEAN-IPSL (2006) 
+   !! $Header: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -55,17 +50,7 @@
       !!     
       !! ** Purpose :
-      !!	
-      !! ** Method :
-      !!	
-      !! History :
-      !!   8.2  !  01-02  (E. Durand)  Original code
-      !!   8.5  !  02-06  (G. Madec)  F90: Free form and module
-      !!   9.0  !  05-11  (V. Garnier) Surface pressure gradient organization
       !!----------------------------------------------------------------------
-      !! * Arguments
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
-
-      !! * Local declarations
-      CHARACTER (len=32) ::  clname
+      !!
       INTEGER :: inum             ! temporary logical unit
       INTEGER :: ji, jj, jk, jt   ! dummy loop indices
@@ -85,10 +70,6 @@
 
          a_emp    = 0.e0
-         a_precip = 0.e0
-         a_rnf    = 0.e0
          a_sshb   = 0.e0 ! valeur de ssh au debut de la simulation
          a_salb   = 0.e0 ! valeur de sal au debut de la simulation
-         a_aminus = 0.e0
-         a_aplus  = 0.e0
          ! sshb used because diafwb called after tranxt (i.e. after the swap)
          a_sshb = SUM( e1t(:,:) * e2t(:,:) * sshb(:,:) * tmask_i(:,:) )
@@ -108,13 +89,4 @@
       a_emp    = SUM( e1t(:,:) * e2t(:,:) * emp   (:,:) * tmask_i(:,:) )
       IF( lk_mpp )   CALL mpp_sum( a_emp    )       ! sum over the global domain
-#if defined key_flx_bulk_monthly || defined key_flx_bulk_daily
-      a_precip = SUM( e1t(:,:) * e2t(:,:) * watm  (:,:) * tmask_i(:,:) )
-      IF( lk_mpp )   CALL mpp_sum( a_precip )       ! sum over the global domain
-#endif
-      a_rnf    = SUM( e1t(:,:) * e2t(:,:) * runoff(:,:) * tmask_i(:,:) )
-      IF( lk_mpp )   CALL mpp_sum( a_rnf    )       ! sum over the global domain
-
-      IF( aminus /= 0.e0 ) a_aminus = a_aminus + ( MIN( aplus, aminus ) / aminus )
-      IF( aplus  /= 0.e0 ) a_aplus  = a_aplus  + ( MIN( aplus, aminus ) / aplus  )
 
       IF( kt == nitend ) THEN
@@ -142,15 +114,8 @@
          IF( lk_mpp )   CALL mpp_sum( zvol )      ! sum over the global domain
          
-         a_aminus = a_aminus / ( nitend - nit000 + 1 )
-         a_aplus  = a_aplus  / ( nitend - nit000 + 1 )
-
          ! Conversion in m3
          a_emp    = a_emp * rdttra(1) * 1.e-3 
-         a_precip = a_precip * rdttra(1) * 1.e-3 / rday
-         a_rnf    = a_rnf * rdttra(1) * 1.e-3
          
-         ! Alpha1=Alpha0-Rest/(Precip+runoff)
-         !  C A U T I O N : precipitations are negative !!     
-         
+         ! emp correction to bring back the mean ssh to zero
          zempnew = a_sshn / ( ( nitend - nit000 + 1 ) * rdt ) * 1.e3 / zarea
 
@@ -389,12 +354,9 @@
       IF ( kt == nitend .AND. cp_cfg == "orca" ) THEN
 
-         clname = 'STRAIT.dat'
-         CALL ctlopn( inum, clname, 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL',   &
+         CALL ctlopn( inum, 'STRAIT.dat', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL',   &
             &         1, numout, lwp, 1 )
          WRITE(inum,*)
          WRITE(inum,*)    'Net freshwater budget '
          WRITE(inum,9010) '  emp    = ',a_emp,   ' m3 =', a_emp   /(FLOAT(nitend-nit000+1)*rdttra(1)) * 1.e-6,' Sv'
-         WRITE(inum,9010) '  precip = ',a_precip,' m3 =', a_precip/(FLOAT(nitend-nit000+1)*rdttra(1)) * 1.e-6,' Sv'
-         WRITE(inum,9010) '  a_rnf  = ',a_rnf,   ' m3 =', a_rnf   /(FLOAT(nitend-nit000+1)*rdttra(1)) * 1.e-6,' Sv'
          WRITE(inum,*)
          WRITE(inum,9010) '  zarea =',zarea
@@ -417,9 +379,4 @@
          WRITE(inum,9020) '  diff      =',(a_saln-a_salb)/zvol,' psu'
          WRITE(inum,9020) '  S-SLevitus=',a_saln/zvol,' psu'
-         WRITE(inum,*)
-         WRITE(inum,*)    'Coeff : '
-         WRITE(inum,9030) '  Alpha+   =  ', a_aplus
-         WRITE(inum,9030) '  Alpha-   =  ', a_aminus
-         WRITE(inum,*)
          WRITE(inum,*)
          WRITE(inum,*)    'Gibraltar : '
Index: trunk/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diawri.F90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DIA/diawri.F90	(revision 888)
@@ -14,9 +14,9 @@
    USE sol_oce         ! solver variables
    USE ice_oce         ! ice variables
+   USE sbc_oce         ! Surface boundary condition: ocean fields
+   USE sbc_ice         ! Surface boundary condition: ice fields
+   USE sbcssr          ! restoring term toward SST/SSS climatology
    USE phycst          ! physical constants
    USE ocfzpt          ! ocean freezing point
-   USE ocesbc          ! surface thermohaline fluxes
-   USE taumod          ! surface stress
-   USE flxrnf          ! ocean runoffs
    USE zdfmxl          ! mixed layer
    USE daymod          ! calendar
@@ -27,5 +27,4 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE in_out_manager  ! I/O manager
-   USE flx_oce         ! sea-ice/ocean forcings variables
    USE diadimg         ! dimg direct access file format output
    USE ioipsl
@@ -54,5 +53,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -245,22 +244,22 @@
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
 #endif
-#if ! defined key_dynspg_rl && ( defined key_lim3 || defined key_lim2 )
-         ! sowaflup = sowaflep + sorunoff + sowafldp + a term associated to
-         !    internal damping to Levitus that can be diagnosed from others
-         ! sowaflcd = sowaflep + sorunoff + sowafldp + iowaflup
-         CALL histdef( nid_T, "iowaflup", "Ice=>ocean net freshwater"          , "kg/m2/s",   &  ! fsalt
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "sowaflep", "atmos=>ocean net freshwater"        , "kg/m2/s",   &  ! fmass
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-#endif
+!!$#if ! defined key_dynspg_rl && ( defined key_lim3 || defined key_lim2 )
+!!$         ! sowaflup = sowaflep + sorunoff + sowafldp + a term associated to
+!!$         !    internal damping to Levitus that can be diagnosed from others
+!!$         ! sowaflcd = sowaflep + sorunoff + sowafldp + iowaflup
+!!$         CALL histdef( nid_T, "iowaflup", "Ice=>ocean net freshwater"          , "kg/m2/s",   &  ! fsalt
+!!$            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
+!!$         CALL histdef( nid_T, "sowaflep", "atmos=>ocean net freshwater"        , "kg/m2/s",   &  ! fmass
+!!$            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
+!!$#endif
          CALL histdef( nid_T, "sowaflup", "Net Upward Water Flux"              , "Kg/m2/s",   &  ! emp
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "sorunoff", "Runoffs"                            , "Kg/m2/s",   &  ! runoffs
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
+!!$         CALL histdef( nid_T, "sorunoff", "Runoffs"                            , "Kg/m2/s",   &  ! runoffs
+!!$            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
          CALL histdef( nid_T, "sowaflcd", "concentration/dilution water flux"  , "kg/m2/s",   &  ! emps
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
          CALL histdef( nid_T, "sosalflx", "Surface Salt Flux"                  , "Kg/m2/s",   &  ! emps * sn
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "sohefldo", "Net Downward Heat Flux"             , "W/m2"   ,   &  ! qt
+         CALL histdef( nid_T, "sohefldo", "Net Downward Heat Flux"             , "W/m2"   ,   &  ! qns + qsr
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
          CALL histdef( nid_T, "soshfldo", "Shortwave Radiation"                , "W/m2"   ,   &  ! qsr
@@ -281,15 +280,7 @@
 #endif
 
-#if defined key_flx_core
-         CALL histdef( nid_T, "solhflup", "Latent Heat Flux Upward"         , "W/m2"   ,   &  ! qla
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "solwfldo", "Longwave Radiation downward"     , "W/m2"   ,   &  ! qlw
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "sosbhfup", "Sensible Heat Flux upward"       , "W/m2"   ,   &  ! qsb
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-#endif
-
-
-#if defined key_coupled &&  ! defined key_lim3 && ! defined key_lim2   
+
+
+#if ( defined key_coupled && ! defined key_lim3 && ! defined key_lim2 ) 
          CALL histdef( nid_T, "sohefldp", "Surface Heat Flux: Damping"         , "W/m2"   ,   &  ! qrp
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
@@ -317,9 +308,13 @@
 #endif
 
-#if ( defined key_lim3  || defined key_lim2 ) && defined key_coupled
+#if defined key_coupled 
+# if defined key_lim3
+         Must be adapted to LIM3
+# else
          CALL histdef( nid_T,"soicetem" , "Ice Surface Temperature"            , "K"      ,   &  ! tn_ice
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
          CALL histdef( nid_T,"soicealb" , "Ice Albedo"                         , "[0,1]"  ,   &  ! alb_ice
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
+# endif 
 #endif 
 
@@ -334,5 +329,5 @@
 #endif
          !                                                                                      !!! nid_U : 2D
-         CALL histdef( nid_U, "sozotaux", "Wind Stress along i-axis"           , "N/m2"   ,   &  ! taux
+         CALL histdef( nid_U, "sozotaux", "Wind Stress along i-axis"           , "N/m2"   ,   &  ! utau
             &          jpi, jpj, nh_U, 1  , 1, 1  , - 99, 32, clop, zsto, zout )
 #if defined key_dynspg_rl
@@ -351,5 +346,5 @@
 #endif
          !                                                                                      !!! nid_V : 2D
-         CALL histdef( nid_V, "sometauy", "Wind Stress along j-axis"           , "N/m2"   ,   &  ! tauy
+         CALL histdef( nid_V, "sometauy", "Wind Stress along j-axis"           , "N/m2"   ,   &  ! vtau
             &          jpi, jpj, nh_V, 1  , 1, 1  , - 99, 32, clop, zsto, zout )
 #if defined key_dynspg_rl
@@ -423,14 +418,14 @@
       CALL histwrite( nid_T, "sossheig", it, sshn          , ndim_hT, ndex_hT )   ! sea surface height
 #endif
-#if ! defined key_dynspg_rl && ( defined key_lim3 || defined key_lim2 )
-      CALL histwrite( nid_T, "iowaflup", it, fsalt(:,:)    , ndim_hT, ndex_hT )   ! ice=>ocean water flux
-      CALL histwrite( nid_T, "sowaflep", it, fmass(:,:)    , ndim_hT, ndex_hT )   ! atmos=>ocean water flux
-#endif
+!!$#if ! defined key_dynspg_rl && ( defined key_lim3 || defined key_lim2 )
+!!$      CALL histwrite( nid_T, "iowaflup", it, fsalt(:,:)    , ndim_hT, ndex_hT )   ! ice=>ocean water flux
+!!$      CALL histwrite( nid_T, "sowaflep", it, fmass(:,:)    , ndim_hT, ndex_hT )   ! atmos=>ocean water flux
+!!$#endif
       CALL histwrite( nid_T, "sowaflup", it, emp           , ndim_hT, ndex_hT )   ! upward water flux
-      CALL histwrite( nid_T, "sorunoff", it, runoff        , ndim_hT, ndex_hT )   ! runoff
+!!$      CALL histwrite( nid_T, "sorunoff", it, runoff        , ndim_hT, ndex_hT )   ! runoff
       CALL histwrite( nid_T, "sowaflcd", it, emps          , ndim_hT, ndex_hT )   ! c/d water flux
       zw2d(:,:) = emps(:,:) * sn(:,:,1) * tmask(:,:,1)
       CALL histwrite( nid_T, "sosalflx", it, zw2d          , ndim_hT, ndex_hT )   ! c/d salt flux
-      CALL histwrite( nid_T, "sohefldo", it, qt            , ndim_hT, ndex_hT )   ! total heat flux
+      CALL histwrite( nid_T, "sohefldo", it, qns + qsr     , ndim_hT, ndex_hT )   ! total heat flux
       CALL histwrite( nid_T, "soshfldo", it, qsr           , ndim_hT, ndex_hT )   ! solar heat flux
       CALL histwrite( nid_T, "somxl010", it, hmlp          , ndim_hT, ndex_hT )   ! mixed layer depth
@@ -443,10 +438,5 @@
       CALL histwrite( nid_T, "sosafldp", it, zw2d          , ndim_hT, ndex_hT )   ! salt flux damping
 #endif
-#if defined key_flx_core
-      CALL histwrite( nid_T, "solhflup", it, qla           , ndim_hT, ndex_hT )   ! latent heat flux
-      CALL histwrite( nid_T, "solwfldo", it, qlw           , ndim_hT, ndex_hT )   ! longwave heat flux
-      CALL histwrite( nid_T, "sosbhfup", it, qsb           , ndim_hT, ndex_hT )   ! sensible heat flux
-#endif
-#if  defined key_coupled && ! defined key_lim3 && ! defined key_lim2 
+#if ( defined key_coupled && ! defined key_lim3 && ! defined key_lim2 ) 
       CALL histwrite( nid_T, "sohefldp", it, qrp           , ndim_hT, ndex_hT )   ! heat flux damping
       CALL histwrite( nid_T, "sowafldp", it, erp           , ndim_hT, ndex_hT )   ! freshwater flux damping
@@ -466,7 +456,14 @@
       CALL histwrite( nid_T, "sohtc300", it, htc3          , ndim_hT, ndex_hT )   ! first 300m heaat content
 #endif
-#if ( defined key_lim3  ||  defined key_lim2 ) &&  defined key_coupled 
+
+#if defined key_coupled 
+# if defined key_lim3
+      Must be adapted for LIM3
       CALL histwrite( nid_T, "soicetem", it, tn_ice        , ndim_hT, ndex_hT )   ! surf. ice temperature
       CALL histwrite( nid_T, "soicealb", it, alb_ice       , ndim_hT, ndex_hT )   ! ice albedo
+# else
+      CALL histwrite( nid_T, "soicetem", it, tn_ice        , ndim_hT, ndex_hT )   ! surf. ice temperature
+      CALL histwrite( nid_T, "soicealb", it, alb_ice       , ndim_hT, ndex_hT )   ! ice albedo
+# endif
 #endif
          ! Write fields on U grid
@@ -475,5 +472,5 @@
       CALL histwrite( nid_U, "vozoeivu", it, u_eiv         , ndim_U , ndex_U )    ! i-eiv current
 #endif
-      CALL histwrite( nid_U, "sozotaux", it, taux          , ndim_hU, ndex_hU )   ! i-wind stress
+      CALL histwrite( nid_U, "sozotaux", it, utau          , ndim_hU, ndex_hU )   ! i-wind stress
 #if defined key_dynspg_rl
       CALL lbc_lnk( spgu, 'U', -1. )
@@ -486,5 +483,5 @@
       CALL histwrite( nid_V, "vomeeivv", it, v_eiv         , ndim_V , ndex_V  )   ! j-eiv current
 #endif
-      CALL histwrite( nid_V, "sometauy", it, tauy          , ndim_hV, ndex_hV )   ! j-wind stress
+      CALL histwrite( nid_V, "sometauy", it, vtau          , ndim_hV, ndex_hV )   ! j-wind stress
 #if defined key_dynspg_rl
       CALL lbc_lnk( spgv, 'V', -1. )
@@ -640,20 +637,20 @@
 
       ! Write all fields on T grid
-      CALL histwrite( id_i, "votemper", 1, tn    , jpi*jpj*jpk, idex )    ! now temperature
-      CALL histwrite( id_i, "vosaline", 1, sn    , jpi*jpj*jpk, idex )    ! now salinity
-#if defined key_dynspg_rl
-      CALL histwrite( id_i, "sobarstf", 1, bsfn  , jpi*jpj    , idex )    ! barotropic streamfunction
+      CALL histwrite( id_i, "votemper", 1, tn      , jpi*jpj*jpk, idex )    ! now temperature
+      CALL histwrite( id_i, "vosaline", 1, sn      , jpi*jpj*jpk, idex )    ! now salinity
+#if defined key_dynspg_rl
+      CALL histwrite( id_i, "sobarstf", 1, bsfn     , jpi*jpj    , idex )    ! barotropic streamfunction
 #else
-      CALL histwrite( id_i, "sossheig", 1, sshn  , jpi*jpj    , idex )    ! sea surface height
-#endif
-      CALL histwrite( id_i, "vozocrtx", 1, un    , jpi*jpj*jpk, idex )    ! now i-velocity
-      CALL histwrite( id_i, "vomecrty", 1, vn    , jpi*jpj*jpk, idex )    ! now j-velocity
-      CALL histwrite( id_i, "vovecrtz", 1, wn    , jpi*jpj*jpk, idex )    ! now k-velocity
-      CALL histwrite( id_i, "sowaflup", 1, emp   , jpi*jpj    , idex )    ! freshwater budget
-      CALL histwrite( id_i, "sohefldo", 1, qt    , jpi*jpj    , idex )    ! total heat flux
-      CALL histwrite( id_i, "soshfldo", 1, qsr   , jpi*jpj    , idex )    ! total heat flux
-      CALL histwrite( id_i, "soicecov", 1, freeze, jpi*jpj    , idex )    ! ice cover
-      CALL histwrite( id_i, "sozotaux", 1, taux  , jpi*jpj    , idex )    ! i-wind stress
-      CALL histwrite( id_i, "sometauy", 1, tauy  , jpi*jpj    , idex )    ! j-wind stress
+      CALL histwrite( id_i, "sossheig", 1, sshn     , jpi*jpj    , idex )    ! sea surface height
+#endif
+      CALL histwrite( id_i, "vozocrtx", 1, un       , jpi*jpj*jpk, idex )    ! now i-velocity
+      CALL histwrite( id_i, "vomecrty", 1, vn       , jpi*jpj*jpk, idex )    ! now j-velocity
+      CALL histwrite( id_i, "vovecrtz", 1, wn       , jpi*jpj*jpk, idex )    ! now k-velocity
+      CALL histwrite( id_i, "sowaflup", 1, emp      , jpi*jpj    , idex )    ! freshwater budget
+      CALL histwrite( id_i, "sohefldo", 1, qsr + qns, jpi*jpj    , idex )    ! total heat flux
+      CALL histwrite( id_i, "soshfldo", 1, qsr      , jpi*jpj    , idex )    ! solar heat flux
+      CALL histwrite( id_i, "soicecov", 1, freeze   , jpi*jpj    , idex )    ! ice cover
+      CALL histwrite( id_i, "sozotaux", 1, utau     , jpi*jpj    , idex )    ! i-wind stress
+      CALL histwrite( id_i, "sometauy", 1, vtau     , jpi*jpj    , idex )    ! j-wind stress
 
       ! 3. Close the file
Index: trunk/NEMO/OPA_SRC/DIA/diawri_dimg.h90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 873)
+++ trunk/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 888)
@@ -3,5 +3,5 @@
   !!----------------------------------------------------------------------
   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-  !! $Header$ 
+  !! $Id$
   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
   !!----------------------------------------------------------------------
@@ -41,8 +41,8 @@
     !!    To be tested with a lot of procs !!!!
     !!
-    !!  level 1:  taux(:,:) * umask(:,:,1) zonal stress in N.m-2
-    !!  level 2:  tauy(:,:) * vmask(:,:,1) meridional stress in N. m-2
-    !!  level 3:   qt  (:,:)               total heat flux (W/m2)
-    !!  level 4:   emp (:,:)               E-P flux (mm/day)
+    !!  level 1:  utau(:,:) * umask(:,:,1) zonal stress in N.m-2
+    !!  level 2:  vtau(:,:) * vmask(:,:,1) meridional stress in N. m-2
+    !!  level 3:  qsr + qns                total heat flux (W/m2)
+    !!  level 4:  emp (:,:)               E-P flux (mm/day)
     !!  level 5:  tb  (:,:,1)-sst          model SST -forcing sst (degree C)
     !!  level 6:  bsfb(:,:)		   streamfunction (m**3/s)
@@ -76,5 +76,4 @@
     !! * modules used
     USE lib_mpp
-    USE dtasst, ONLY : sst
 
     !! * Arguments
@@ -167,7 +166,7 @@
        sm(:,:,:)=sm(:,:,:) + sn (:,:,:)
        !
-       fsel(:,:,1 ) = fsel(:,:,1 ) + taux(:,:) * umask(:,:,1)
-       fsel(:,:,2 ) = fsel(:,:,2 ) + tauy(:,:) * vmask(:,:,1)
-       fsel(:,:,3 ) = fsel(:,:,3 ) + qt  (:,:) 
+       fsel(:,:,1 ) = fsel(:,:,1 ) + utau(:,:) * umask(:,:,1)
+       fsel(:,:,2 ) = fsel(:,:,2 ) + vtau(:,:) * vmask(:,:,1)
+       fsel(:,:,3 ) = fsel(:,:,3 ) + qsr (:,:) + qns  (:,:) 
        fsel(:,:,4 ) = fsel(:,:,4 ) + emp (:,:)
        fsel(:,:,5 ) = fsel(:,:,5 ) + tb  (:,:,1) - sst(:,:)
@@ -187,14 +186,6 @@
        !        fsel(:,:,15) = fsel(:,:,15) + fbt(:,:)
        fsel(:,:,16) = fsel(:,:,16) + emps(:,:)
-#if defined key_lim3 || defined key_lim3_old
-       fsel(:,:,17) = fsel(:,:,17) + fsalt(:,:)
-#endif
 #ifdef key_diaspr   
        fsel(:,:,18) = fsel(:,:,18) + gps(:,:)/g 
-#endif
-#if defined key_flx_core
-       fsel(:,:,21) = fsel(:,:,21) + qla(:,:)
-       fsel(:,:,22) = fsel(:,:,22) + qlw(:,:)
-       fsel(:,:,23) = fsel(:,:,23) + qsb(:,:)
 #endif
        !
@@ -231,5 +222,5 @@
           fsel(:,:,20)= spgv(:,:)
 #endif
-          ! mask mean field with tmask except taux tauy (1,2)
+          ! mask mean field with tmask except utau vtau (1,2)
           DO jk=3,inbsel
             fsel(:,:,jk)=fsel(:,:,jk)*tmask(:,:,1)
@@ -256,7 +247,7 @@
           fsel(:,:,:) = 0._wp
           !
-          fsel(:,:,1 ) = taux(:,:) * umask(:,:,1)
-          fsel(:,:,2 ) = tauy(:,:) * vmask(:,:,1)
-          fsel(:,:,3 ) = qt  (:,:) * tmask(:,:,1)
+          fsel(:,:,1 ) = utau(:,:) * umask(:,:,1)
+          fsel(:,:,2 ) = vtau(:,:) * vmask(:,:,1)
+          fsel(:,:,3 ) = (qsr (:,:) + qnr (:,:)) * tmask(:,:,1)
           fsel(:,:,4 ) = emp (:,:) * tmask(:,:,1)
           fsel(:,:,5 ) = (tb  (:,:,1) -sst(:,:)) *tmask(:,:,1)
@@ -277,16 +268,8 @@
           !         fsel(:,:,15) =  fbt(:,:)
           fsel(:,:,16) =  emps(:,:) * tmask(:,:,1)
-#if defined key_lim3 || defined key_lim3_old
-          fsel(:,:,17) =  fsalt(:,:) * tmask(:,:,1)
-#endif
 #ifdef key_diaspr           
           fsel(:,:,18) =      gps(:,:) /g
           fsel(:,:,19) =      spgu(:,:)
           fsel(:,:,20) =      spgv(:,:)
-#endif
-#if defined key_flx_core
-          fsel(:,:,21) =  qla(:,:)* tmask(:,:,1)
-          fsel(:,:,22) =  qlw(:,:)* tmask(:,:,1)
-          fsel(:,:,23) =  qsb(:,:)* tmask(:,:,1)
 #endif
           !
